Page MenuHomePhabricator

efl_ui_list_view_types: add a free function to the struct type
ClosedPublic

Authored by bu5hm4n on Jan 16 2019, 5:51 AM.

Details

Summary

this type is used with @owned, which means, it needs a free function.
So we can ensure everything that is owned also has a free function

Depends on D7627

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jan 16 2019, 5:51 AM
bu5hm4n requested review of this revision.Jan 16 2019, 5:51 AM
cedric accepted this revision.Jan 16 2019, 3:06 PM
cedric added a subscriber: felipealmeida.

@felipealmeida @SanghyeonLee : this patch is useful now, but we should just get rid of this data type it is not something that should be exposed in our API.

This revision is now accepted and ready to land.Jan 16 2019, 3:06 PM
bu5hm4n updated this revision to Diff 18657.Jan 21 2019, 6:07 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase

Closed by commit rEFLd326b3e6e128: efl_ui_list_view_types: add a free function to the struct type (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 22 2019, 5:04 AM
This revision was automatically updated to reflect the committed changes.